Jump to content
Easycore

Release: Extended Vending 2.0

Recommended Posts

On 9/8/2022 at 1:00 AM, il3ol2ed said:

can someone help me please? Thank you.
i use version Rev.7

image.thumb.png.d36a125ddbd2cdad07a52746ea6c4ec2.png

saw this at discord answered by nitrous

Change `struct item_data *itemdata` to `std::shared_ptr<item_data> item_data`

Link to comment
Share on other sites

17 hours ago, solid2005 said:

item_db.exists need  to be enhance.

at the time of uploading I sent the file that still had this warning 😅

as I ended up deleting the file that I had already fixed, I'll do it again and send it here as 9.1 (fix itemdb_exists())

I will edit the post where I make rev9 available and put 9.1 under it

 

8 hours ago, abdol said:

is it working on 2018 clients?

 

has been tested on client 2017 and 2020

Edited by Hyroshima
Link to comment
Share on other sites

On 11/3/2022 at 5:23 AM, solid2005 said:

item_db.exists need  to be enhance.

14 hours ago, Rook1es said:

It's working but i can't buy on vend it says "item not found" when you buying it

Fixed and available in my archive post.

Link to comment
Share on other sites

On 11/6/2022 at 1:07 PM, Hyroshima said:

Fixed and available in my archive post.

where can i see on diff patch to fix the item not found?

Link to comment
Share on other sites

On 10/27/2022 at 10:38 AM, Hyroshima said:

I made some corrections, it was tested on revisions 17687 and 17700.
ExtendedVending_Rev9.1.diff

 

@Edit

  • Fix warnings when compiling
  • Fix 'item not found'

Its still not working it say's 'you don't have enough items'

Link to comment
Share on other sites

On 11/6/2022 at 1:07 PM, Hyroshima said:

Fixed and available in my archive post.

Hello can you fixed the bug when buying an item through vend it say 'You don't have enough items'

Link to comment
Share on other sites

17 hours ago, Rook1es said:

Hello can you fixed the bug when buying an item through vend it say 'You don't have enough items'

which revision are you using?

if it is before 2021 you must use the previous versions of the mod here in the topic.

@Edit
  I found the fault related to coins and tcgs, i will make the corrections later and update the previous post with the 9.2 file (Cash and Zeny find themselves normal).

Edited by Hyroshima
Link to comment
Share on other sites

7 hours ago, JinYuichi said:

not working for coins and tcgs. and also the default language is not english.

Link to comment
Share on other sites

10 hours ago, Brynner said:

not working for coins and tcgs. and also the default language is not english.

it works perfectly for me, and you can change the language yourself 

Link to comment
Share on other sites

3 minutes ago, JinYuichi said:

it works perfectly for me, and you can change the language yourself 

it only works for cash and zeny. your .diff files disabled the coins and tcg then you tell me it works perfectly?

 

btw if you enable those coins. you will get map crashed

Edited by Brynner
Link to comment
Share on other sites

on my server I have it deactivated because I don't use them, as you can see I just activated it without any problems. 

pdt: if you have any problem check the SRC of why it crashes on your server 

Edited by JinYuichi
Link to comment
Share on other sites

Just now, JinYuichi said:

on my server I have it deactivated because I don't use them, as you can see I just activated it without any problems. 

pdt: if you have any problem check the SRC of why it crashes on your server 

the problem is you can't purchased vending item using coins and tcg. same issue above previous release.

Link to comment
Share on other sites

On 11/14/2022 at 1:29 PM, JinYuichi said:

it works perfectly for me, and you can change the language yourself 

Its says you don't have enough items

Link to comment
Share on other sites

9 minutes ago, Rook1es said:

Its says you don't have enough items

its not working thats why he removes it. it only works for zeny and cash.

Link to comment
Share on other sites

2 hours ago, Brynner said:

its not working thats why he removes it. it only works for zeny and cash.

if you say it doesn't work why don't you fix it? 
I'm sure you're just waiting for them to give you the code 😄
lammer detect
pdt i didn't remove the diff 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use and Privacy Policy.